export default {
    methods:{
        // 切换用户 | 注册 | 选租户用户调用
        // 核对用户信息状态
        checkStatus() {
            this.$http(
                "user.checkMagStatus",
                this.comData
            ).then(res =>{
                let { code ,data} = res;
                if(code === 200){
                    // 1-面料供应商, 2-品牌商, 3-设计机构, 4-检测机构
                    let { identityType} = data.userLastIdentity;
                    if(identityType){
                        this.assignType = identityType;
                        this.getItem();
                        this.filterStatus(data)
                    }
                }
            })
        },
        createToken(data){
            // return
        },
    }
}
